[tool.poetry]
name = "hotpocket-packages"
version = "1.0.0.dev0"
description = "HotPocket Packages"
authors = ["Tomek Wójcik <contact@bthlabs.pl>"]
license = "Apache-2.0"
readme = "README.md"
package-mode = false

[tool.poetry.dependencies]
python = "^3.12"
hotpocket-common = {path = "common", develop = true}
hotpocket-soa = {path = "soa", develop = true}
hotpocket-testing = {path = "testing", develop = true}
hotpocket-workspace-tools = {path = "workspace_tools", develop = true}

[tool.poetry.group.dev.dependencies]
factory-boy = "3.3.3"
flake8 = "7.3.0"
flake8-commas = "4.0.0"
freezegun = "1.5.5"
ipdb = "0.13.13"
ipython = "9.6.0"
isort = "7.0.0"
mypy = "1.18.2"
pytest = "8.4.2"
pytest-env = "1.2.0"
pytest-mock = "3.15.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
